Skip to main content
GET
List membership seats
This endpoint is in beta: its request and response contract can still change while it’s being developed.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[size]
number | null

The number of entries to return per page. Range between 1 - 500, defaults to 100

Required range: 1 <= x <= 500
Example:

100

page[after]
string | null

Accepts an existing page cursor. For more details see the definition of PageCursor in the response.

page[before]
string | null

Accepts an existing page cursor. For more details see the definition of PageCursor in the response.

sort[updatedAt]
enum<string> | null

Sort by update date. 1 for ascending, -1 for descending.

Available options:
1,
-1,
null
Example:

"1"

sort[createdAt]
enum<string> | null

Sort by creation date. 1 for ascending, -1 for descending.

Available options:
1,
-1,
null
Example:

"1"

createdAt[after]
string<date-time> | null

Only return entries created after this date.

Example:

"2020-01-01T20:15:00.000Z"

createdAt[before]
string<date-time> | null

Only return entries created before this date.

Example:

"2020-01-01T20:15:00.000Z"

updatedAt[after]
string<date-time> | null

Only return entries updated after this date.

Example:

"2020-01-01T20:15:00.000Z"

updatedAt[before]
string<date-time> | null

Only return entries updated before this date.

Example:

"2020-01-01T20:15:00.000Z"

emailAddress
string<email>

Find one member's seats by the address they are held under. Send this or list, not both.

Maximum string length: 320
list
enum<string>

Send all to list every seat, on every page. Send this or emailAddress, not both.

Available options:
all

Response

Default Response

data
MembershipSeat · object[]
required
page
PageCursor · object
required

Cursor details for pagination.

  • In scenarios with large amounts of data, it's common to return only a subset of data in a single request, known as a "page".
  • Most API responses include two objects: a 'data' object with the query results, and a 'PageCursor' object detailing the current page.
  • Cursors can be used to navigate to earlier or later pages in the set of results. For instance, passing the 'next' cursor from 'PageCursor' fetches the next set of results.
  • Cursors are base64 encoded strings.
Example: